Account
List keys
Your unrevoked inference keys, newest first, 100 per page; never a management key.
Request
curl https://api.llm.buzz/api/v1/keys \
-H "Authorization: Bearer $LLM_BUZZ_MANAGEMENT_KEY"Response
{
"data": [
{
"hash": "...",
"name": "CI key",
"label": "CI key",
"disabled": false,
"created_at": "...",
"updated_at": null,
"expires_at": null,
"last_used_at": null,
"limit": 5,
"limit_remaining": 5,
"limit_reset": "monthly",
"include_byok_in_limit": false,
"usage": 0,
"usage_daily": 0,
"usage_weekly": 0,
"usage_monthly": 0,
"byok_usage": 0,
"byok_usage_daily": 0,
"byok_usage_weekly": 0,
"byok_usage_monthly": 0,
"creator_user_id": "...",
"external_user": null,
"workspace_id": "default"
}
]
}{
"error": {
"code": 400,
"message": "...",
"metadata": {
"error_type": "invalid_request",
"gateway_code": "invalid_parameter",
"param": "limit"
}
}
}{
"error": {
"code": 401,
"message": "Missing Authentication header",
"metadata": {
"error_type": "authentication",
"gateway_code": "missing_authentication"
}
}
}{
"error": {
"code": 403,
"message": "Only management keys can perform this operation; use a management key, created on the console Keys page",
"metadata": {
"error_type": "permission_denied",
"gateway_code": "management_key_required"
}
}
}Authorization
A management key, created on the console's Keys page, as Authorization: Bearer KEY. The samples read it from $LLM_BUZZ_MANAGEMENT_KEY; an inference key gets 403 management_key_required.
Parameters
offsetintegerqueryKeys to skip.
include_disabledbooleanquerydefault falsetrueadds disabled keys.include_expiredbooleanquerydefault falsetrueadds expired keys.
Response 200
The keys, as {"data": [...]}.
Errors
400The body is not JSON (
invalid_json), a field or query value is invalid (invalid_parameter, withmetadata.param), or aPATCHsets no field (invalid_request).401No
Authorizationheader (missing_authentication), or the key is unknown, expired, revoked or disabled (invalid_key).403An inference key called a route that takes a management key. Create one on the console's Keys page.